part of tecfy_core_client_package;

class PropertyMapArea extends Property {
  /// <summary>
  /// Square, Rectangle, Circle, Other
  /// </summary>
  String shapeType;

  PropertyMapArea.fromMap(Map row) : super.fromMap(row) {
    shapeType = row['shapeType'];
  }

  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  Widget getDisplayWidget(Map data,
      {double size = 12, Color color = Colors.black}) {
    return Text('', style: TextStyle(fontSize: size, color: color));
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (data[dbName] != null) return false;

    return false;
  }
}
